LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (https://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   doesn't find usb modem (https://www.linuxquestions.org/questions/linux-newbie-8/doesnt-find-usb-modem-269324/)

javaa neko 12-22-2004 06:21 PM

doesn't find usb modem
 
I have a zyxel prestige 630 modem USB and don't know how to install it in my mandrake linux 10.1.......no drivers are available from zyxel.....I ran over something called eciadsl...is this the right thing?

cs-cam 12-22-2004 09:04 PM

Yeah it is I think, USB modems and linux don't really get along without a fuss. Do you have more than one computer sharing the connection? If so then you could justify buying a router which will just plug in and work :p

javaa neko 12-23-2004 01:45 AM

No, just one...so no router....

chimp 12-23-2004 06:32 PM

I had similar problems with my Motorola SB4200 Cable modem under Mandrake 10.1. Initial research pointed me to using the CDCEther driver but this didn't work. However, I discovered that for the later kernel versions the USBNet driver should be used. This is how I got my modem up and running.

1. Go to the Mandrake Linux Control Centre and select the Network & Internet tab
2. Select the New Connection icon
3. Select Cable Connection and click Next
4. Follow the default selections and when prompted to select a driver use USBNet.

I also found that despite selecting the 'Start at Boot' option, I had to type 'modprobe usbnet' as root after each reboot. To resolve this I edited /etc/modprobe.conf to add the line 'alias eth0 usbnet' at the end. For more on this see thread http://www.linuxquestions.org/questi...82#post1314382

Hope this helps

javaa neko 12-24-2004 04:20 AM

zyxel prestige 630-13 isdn modem
 
Thanks for the answer.....I tried that, but my modem is not running.....it's a zyxel 630 13 isdn (alcatel dynamic chip) and the drivers are not supported....

eciadsl driver installation went without problem, but at starting, the message modem not found appeared....i guess, zyxel 630-13 is not supported.....

I'm running mandrake 10.1.....and also tried to install amedyn....but i get two error messages when compiling...one concerning init......

can anybody help me?


All times are GMT -5. The time now is 10:14 AM.